<!DOCTYPE html>
<html lang="en">
    <!--
     * app/templates/admin/admin.tpl
     *
     * @version 3.0
     * @author  Joey Kimsey <Joey@thetempusproject.com>
     * @link    https://TheTempusProject.com
     * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>{TITLE}</title>
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {AUTHOR}
        {ROBOT}
        <link rel="icon" href="{ROOT_URL}images/favicon.ico">
        <!-- Required CSS -->
    	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.7.1/css/all.min.css" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- Custom styles for this template -->
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
        <div class="d-flex flex-column min-vh-100">
            <!-- Main Content Area -->
            <div class="d-flex flex-grow-1">
                <!-- Side Navigation -->
                <div class="d-flex flex-column flex-shrink-0 p-3 text-bg-dark" style="width: 280px;">
                    <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-white text-decoration-none">
                        <img src="/images/logo.png" class="bi me-2" width="40" height="32" role="img" aria-label="All The Bookmarks Logo">
                        <span class="fs-4">All The Bookmarks</span>
                    </a>
                    <hr>
                    {ADMIN}
                        {ADMIN_LINKS}
                    {/ADMIN}
                    <hr>
                    <div class="d-flex align-items-center">
                        {topNavRight}
                    </div>
                </div>
                <!-- Center Element -->
                <div class="flex-grow-1 d-flex flex-column">
                    <!-- Top Navigation Bar -->
                    <div class="p-3 text-bg-dark">
                        <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
                            {topNavLeft}
                        </div>
                    </div>

                    <!-- Main Content -->
                    <div class="flex-grow-1 px-4 py-4">
                        {ISSUES}
                        <div class="row mb-3">
                            <div class="col-12">
                                {ERROR}
                                {NOTICE}
                                {SUCCESS}
                            </div>
                        </div>
                        {/ISSUES}
                        {ADMIN_BREADCRUMBS}
                        {CONTENT}
                    </div>
        
                    <!-- Footer -->
                    <footer class="bg-light border-top">
                        <div class="container py-3">
                            <div class="d-flex justify-content-between">
                                {COPY}
                                {SOCIAL}
                            </div>
                        </div>
                    </footer>
                </div>
            </div>
        </div>

        <!-- Bootstrap core JavaScript and jquery -->
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{JQUERY_CDN}jquery.min.js"></script>
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{BOOTSTRAP_CDN}js/bootstrap.min.js"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>